Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactDisclose

    java.lang.Object
      com.verisign.epp.codec.contact.EPPContactDisclose

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPContactDisclose

extends java.lang.Object
implements EPPCodecComponent

Represents a contact disclose definition.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTR_FLAG_FALSE` Value of the FALSE in contact disclose flag mapping
`static java.lang.String` | `ATTR_FLAG_TRUE` Value of the TRUE in contact disclose flag mapping
`static java.lang.String` | `ATTR_TYPE_INT` Value of the INT in contact disclose type mapping
`static java.lang.String` | `ATTR_TYPE_LOC` Value of the LOC in contact disclose type mapping
`static java.lang.String` | `ELM_NAME_DISCLOSE` XML tag name for the `org` attribute.

Constructor Summary
`EPPContactDisclose()` `EPPContactDisclose` default constructor.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPContactDisclose`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactDisclose` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPContactDisclose` compare.
`java.util.Vector` | `getAddresses()` Get contact disclose addresses.
`java.lang.String` | `getEmail()` Gets the contact disclose email
`java.lang.String` | `getFax()` Gets the contact disclose fax
`java.lang.String` | `getFlag()` Get contact disclose flag.
`java.util.Vector` | `getNames()` Get contact disclose names.
`java.util.Vector` | `getOrgs()` Get contact disclose orgs.
`java.lang.String` | `getRootName()` Get root tag name for contact postal definition.
`java.lang.String` | `getVoice()` Gets the contact disclose voice
`boolean` | `isValidated()` Show whether needs to call validateState()
`void` | `setAddresses(java.util.Vector newAddresses)` Set contact disclose addresses.
`void` | `setEmail(java.lang.String aEmail)` Sets the contact disclose email
`void` | `setFax(java.lang.String aFax)` Sets the contact disclose fax
`void` | `setFlag(java.lang.String newFlag)` Set contact disclose flag.
`void` | `setNames(java.util.Vector newNames)` Set contact disclose names.
`void` | `setOrgs(java.util.Vector newOrgs)` Set contact disclose orgs.
`void` | `setRootName(java.lang.String newRootName)` Set root tag name for contact postal definition.
`void` | `setValidatedFlag(boolean newValidatedFlag)` Set validated flag.
`void` | `setVoice(java.lang.String aVoice)` Sets the contact disclose voice
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
`protected void` | `validateState()` Validate the state of the `EPPContactPostalDefination` instance.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME_DISCLOSE

    public static final java.lang.String ELM_NAME_DISCLOSE

  XML tag name for the `org` attribute.

  See Also:
    Constant Field Values

### ATTR_FLAG_FALSE

    public static final java.lang.String ATTR_FLAG_FALSE

  Value of the FALSE in contact disclose flag mapping

  See Also:
    Constant Field Values

### ATTR_FLAG_TRUE

    public static final java.lang.String ATTR_FLAG_TRUE

  Value of the TRUE in contact disclose flag mapping

  See Also:
    Constant Field Values

### ATTR_TYPE_LOC

    public static final java.lang.String ATTR_TYPE_LOC

  Value of the LOC in contact disclose type mapping

  See Also:
    Constant Field Values

### ATTR_TYPE_INT

    public static final java.lang.String ATTR_TYPE_INT

  Value of the INT in contact disclose type mapping

  See Also:
    Constant Field Values

Constructor Detail

### EPPContactDisclose

    public EPPContactDisclose()

  `EPPContactDisclose` default constructor. Must call required setter methods before invoking `encode`.

Method Detail

### getNames

    public java.util.Vector getNames()

  Get contact disclose names.

  Returns:
    java.util.Vector

### setNames

    public void setNames(java.util.Vector newNames)

  Set contact disclose names.

  Parameters:
    `newNames` - java.util.Vector

### getOrgs

    public java.util.Vector getOrgs()

  Get contact disclose orgs.

  Returns:
    java.util.Vector

### setOrgs

    public void setOrgs(java.util.Vector newOrgs)

  Set contact disclose orgs.

  Parameters:
    `newOrgs` - java.util.Vector

### getAddresses

    public java.util.Vector getAddresses()

  Get contact disclose addresses.

  Returns:
    java.util.Vector

### setAddresses

    public void setAddresses(java.util.Vector newAddresses)

  Set contact disclose addresses.

  Parameters:
    `newAddresses` - java.util.Vector

### getFlag

    public java.lang.String getFlag()

  Get contact disclose flag.

  Returns:
    String Contact disclose flag

### setFlag

    public void setFlag(java.lang.String newFlag)

  Set contact disclose flag.

  Parameters:
    `newFlag` - String

### getVoice

    public java.lang.String getVoice()

  Gets the contact disclose voice

  Returns:
    Client disclose voice if defined; `null` otherwise.

### setVoice

    public void setVoice(java.lang.String aVoice)

  Sets the contact disclose voice

  Parameters:
    `aVoice` - Client disclose voice

### getFax

    public java.lang.String getFax()

  Gets the contact disclose fax

  Returns:
    Client disclose fax if defined; `null` otherwise.

### setFax

    public void setFax(java.lang.String aFax)

  Sets the contact disclose fax

  Parameters:
    `aFax` - Client disclose fax

### getEmail

    public java.lang.String getEmail()

  Gets the contact disclose email

  Returns:
    Client disclose email if defined; `null` otherwise.

### setEmail

    public void setEmail(java.lang.String aEmail)

  Sets the contact disclose email

  Parameters:
    `aEmail` - Client disclose email

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactDisclose` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEncodeException`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactDisclose` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPContactDisclose` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPContactDisclose` instance to compare with
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactDisclose`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPContactDisclose`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### validateState

    protected void validateState()
                          throws EPPCodecException

  Validate the state of the `EPPContactPostalDefination` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the EPPCodecException will contain a description of the error. throws EPPCodecException State error. This will contain the name of the attribute that is not valid.

  Throws:
    `EPPCodecException` - DOCUMENT ME!

### getRootName

    public java.lang.String getRootName()

  Get root tag name for contact postal definition.

  Returns:
    String root tag name

### setRootName

    public void setRootName(java.lang.String newRootName)

  Set root tag name for contact postal definition.

  Parameters:
    `newRootName` - String

### isValidated

    public boolean isValidated()

  Show whether needs to call validateState()

  Returns:
    boolean

### setValidatedFlag

    public void setValidatedFlag(boolean newValidatedFlag)

  Set validated flag.

  Parameters:
    `newValidatedFlag` - boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.